VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Types | Protected Attributes | List of all members
Factory Class Reference
New classes » Version 4.1

Bitmap Filter Factory. More...

`#include <cbitmapfilter.h>`

## Public Member Functions
uint32_t | getNumFilters () const
IdStringPtr | getFilterName (uint32_t index) const
IFilter * | createFilter (IdStringPtr name) const
bool | registerFilter (IdStringPtr name, IFilter::CreateFunction createFunction)
bool | unregisterFilter (IdStringPtr name, IFilter::CreateFunction createFunction)

## Static Public Member Functions
static Factory & | getInstance ()

## Protected Types
using | FilterMap = std::map<std::string, IFilter::CreateFunction>

## Protected Attributes
FilterMap | filters

## Detailed Description

Bitmap Filter Factory.

See Standard for a description of included Filters

## Member Typedef Documentation

## ◆ FilterMap

using FilterMap = std::map<std::string, IFilter::CreateFunction>
| protected

## Member Function Documentation

## ◆ createFilter()

IFilter * createFilter | ( | IdStringPtr | name | ) | const

## ◆ getFilterName()

IdStringPtr getFilterName | ( | uint32_t | index | ) | const

## ◆ getInstance()

Factory & getInstance | ( |  | ) |
| static

## ◆ getNumFilters()

uint32_t getNumFilters | ( |  | ) | const

## ◆ registerFilter()

bool registerFilter | ( | IdStringPtr | name,
|  | IFilter::CreateFunction | createFunction )

## ◆ unregisterFilter()

bool unregisterFilter | ( | IdStringPtr | name,
|  | IFilter::CreateFunction | createFunction )

## Member Data Documentation

## ◆ filters

FilterMap filters
| protected

The documentation for this class was generated from the following files:

- cbitmapfilter.h
- cbitmapfilter.cpp